IRPCLogin.LoginForAutomaticUpdates
Vault API / core session no session
Logs in for automatic updates.
| Service | Login and sessions MFiles.IRPCLogin |
|---|---|
| gRPC method | /MFiles.IRPCLogin/LoginForAutomaticUpdates |
| HTTP (mf-http-grpc) | POST /grpc/v1/login-for-automatic-updates |
| Request | LoginForAutomaticUpdatesRequest |
| Response | LoginForAutomaticUpdatesResponse |
| Book and level | Vault API, core |
| Kind | session |
| Session | Not needed: the call can be made before logging in. |
| Idempotent | no |
| Returns metadata structure version | no |
| Streaming | none (unary) |
Remarks
No longer supported: the server always fails this call. Software updates are not delivered by M-Files Server.
Request: LoginForAutomaticUpdatesRequest
Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.
| Field | Type | Description |
|---|---|---|
serial_number | string | The serial number of a client. This is used to determine a such suitable newer version for the client that is justified by the number. If unset, the latest software version is returned. |
password | string | Automatic updates related password. If unset it's ignored. The primary purpose of this parameter is to refuse returning software updates to certain clients (e.g. M-Files and the password has been fall into other parties that want software updates). |
lang_identifier | string | Language identifier (e.g. "eng" or "fin"). |
challenge | bytes | The challenge to be used as an input for a digital signature algorithm. |
Response: LoginForAutomaticUpdatesResponse
Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.
| Field | Type | Description |
|---|---|---|
id | bytes | Session ID when the login process has been completed successfully. |
signature | bytes | Receives the digital signature. |